// Copyright (c) Microsoft Corporation.
// Licensed under the MIT license.
import { getTracer } from "@azure/core-tracing";
import { SpanKind } from "@opentelemetry/api";
/**
 * @internal
 */
export function createMessageSpan(parentSpan, eventHubConfig) {
    const tracer = getTracer();
    const span = tracer.startSpan("Azure.EventHubs.message", {
        kind: SpanKind.PRODUCER,
        parent: parentSpan
    });
    span.setAttribute("az.namespace", "Microsoft.EventHub");
    if (eventHubConfig) {
        span.setAttribute("message_bus.destination", eventHubConfig.entityPath);
        span.setAttribute("peer.address", eventHubConfig.host);
    }
    return span;
}
//# sourceMappingURL=messageSpan.js.map